is iphone 5 compatible with snow leopard?

1 Answer from the Community

  • Answer

    Yes - 10.6.8 and up

    • Answered by Paul W
    • 08/12/2013